Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.dom
Class DOMSerializer

    java.lang.Object
      net.sourceforge.jsxe.dom.DOMSerializer

All Implemented Interfaces:
  LSSerializer

public class DOMSerializer
extends Object
implements LSSerializer

An implementation of the DOM3 LSSerializer interface. This class supports everything that is supported by the DOMSerializerConfiguration class. Clients can check if a feature is supported by calling canSetParameter() on the appropriate DOMSerializerConfiguration object.

Version:
  $Id: DOMSerializer.java 849 2006-04-18 21:45:20Z ian_lewis $
Author:
  Ian Lewis

Constructor Summary
`DOMSerializer()` Creates a default DOMSerializer using the default options.
`DOMSerializer(DOMSerializerConfiguration config)` Creates a DOMSerializer that uses the configuration specified.

Method Summary
`DOMConfiguration` | `getDomConfig()`
`LSSerializerFilter` | `getFilter()`
`String` | `getNewLine()`
`void` | `setFilter(LSSerializerFilter filter)`
`void` | `setNewLine(String newLine)`
`boolean` | `write(Node nodeArg, LSOutput destination)`
`String` | `writeToString(Node nodeArg)`
`boolean` | `writeToURI(Node nodeArg, String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMSerializer

    public DOMSerializer()

  Creates a default DOMSerializer using the default options.

### DOMSerializer

    public DOMSerializer(DOMSerializerConfiguration config)

  Creates a DOMSerializer that uses the configuration specified.

Parameters:
  `config` - The configuration to be used by this DOMSerializer object

Method Detail

### getDomConfig

    public DOMConfiguration getDomConfig()

  Specified by:
    `getDomConfig` in interface `LSSerializer`

### getFilter

    public LSSerializerFilter getFilter()

  Specified by:
    `getFilter` in interface `LSSerializer`

### getNewLine

    public String getNewLine()

  Specified by:
    `getNewLine` in interface `LSSerializer`

### setFilter

    public void setFilter(LSSerializerFilter filter)

  Specified by:
    `setFilter` in interface `LSSerializer`

### setNewLine

    public void setNewLine(String newLine)

  Specified by:
    `setNewLine` in interface `LSSerializer`

### write

    public boolean write(Node nodeArg,
                         LSOutput destination)

  Specified by:
    `write` in interface `LSSerializer`

### writeToString

    public String writeToString(Node nodeArg)
                         throws DOMException

  Specified by:
    `writeToString` in interface `LSSerializer`
  Throws:
    `DOMException`

### writeToURI

    public boolean writeToURI(Node nodeArg,
                              String uri)

  Specified by:
    `writeToURI` in interface `LSSerializer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD